//============================================================================
// Name        : test_gdb.cpp
// Author      : 
// Version     :
// Copyright   : Your copyright notice
// Description : Hello World in C++, Ansi-style
//============================================================================

#include <iostream>
#include "tesst.h"
#include <stdint.h>
using namespace std;




int main(int argc, char* argv[]) {
	int i, num_threads;
	int64_t best = 0xFFFFFFFF;
	int64_t current;
	tesst *tet;

	best <<= 6;
	cout << "!!!Hello World!!! " << endl; // prints !!!Hello World!!!
	printf("long long = %d\n", (int)sizeof(long long));
	printf("int64_t = %d\n", (int)sizeof(int64_t));
	printf("int = %d\n", (int)sizeof(int));

	if(argc >= 3){
		num_threads = atoi(argv[2]);
		tet = new tesst(argv[1], num_threads);
		for(i = 0; i < 5; i++){
			current = tet->test();
			if(current < best){
				best = current;
			}
			printf("time = %ld \n", current);
		}
		printf("best = %ld \n", best);
		delete tet;
	}
	return 0;
}
